import { Done } from '../../../../../Class/Functional/Done';
import { Semifunctional } from '../../../../../Class/Semifunctional';
import { Unit } from '../../../../../Class/Unit';
import { System } from '../../../../../system';
export interface I {
    unit: Unit;
    name: string;
    done: any;
}
export interface O {
    ref: any;
}
export default class Lookup extends Semifunctional<I, O> {
    constructor(system: System);
    f({ unit, name }: I, done: Done<O>): void;
    onIterDataInputData(name: string, data: any): void;
}
